<?php
session_start(); // Initialize session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg6.php" ?>
<?php include "ewmysql6.php" ?>
<?php include "phpfn6.php" ?>
<?php include "linea_productoinfo.php" ?>
<?php include "categoriainfo.php" ?>
<?php include "usuarioinfo.php" ?>
<?php include "userfn6.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Define page object
$linea_producto_edit = new clinea_producto_edit();
$Page =& $linea_producto_edit;

// Page init processing
$linea_producto_edit->Page_Init();

// Page main processing
$linea_producto_edit->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var linea_producto_edit = new ew_Page("linea_producto_edit");

// page properties
linea_producto_edit.PageID = "edit"; // page ID
var EW_PAGE_ID = linea_producto_edit.PageID; // for backward compatibility

// extend page with ValidateForm function
linea_producto_edit.ValidateForm = function(fobj) {
	if (!this.ValidateRequired)
		return true; // ignore validation
	if (fobj.a_confirm && fobj.a_confirm.value == "F")
		return true;
	var i, elm, aelm, infix;
	var rowcnt = (fobj.key_count) ? Number(fobj.key_count.value) : 1;
	for (i=0; i<rowcnt; i++) {
		infix = (fobj.key_count) ? String(i+1) : "";
		elm = fobj.elements["x" + infix + "_cod_linea_producto"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - cod linea");
		elm = fobj.elements["x" + infix + "_cod_categoria"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - categoria");
		elm = fobj.elements["x" + infix + "_des_linea_producto"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - descripción");
		elm = fobj.elements["x" + infix + "_ind_activo"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - activo");
		elm = fobj.elements["x" + infix + "_ind_cat"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cat");
		elm = fobj.elements["x" + infix + "_orden"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - orden");
		elm = fobj.elements["x" + infix + "_cod_usuario_registro"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - cod usuario registro");
		elm = fobj.elements["x" + infix + "_cod_usuario_registro"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod usuario registro");
		elm = fobj.elements["x" + infix + "_fec_registro"];
		if (elm && !ew_HasValue(elm))
			return ew_OnError(this, elm, "Ingresar campo obligatorio - fec registro");
		elm = fobj.elements["x" + infix + "_fec_registro"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fec registro");
		elm = fobj.elements["x" + infix + "_cod_usuario_modificacion"];
		if (elm && !ew_CheckInteger(elm.value))
			return ew_OnError(this, elm, "Incorrect integer - cod usuario modificacion");
		elm = fobj.elements["x" + infix + "_fec_ultima_modificacion"];
		if (elm && !ew_CheckDate(elm.value))
			return ew_OnError(this, elm, "Incorrect date, format = yyyy/mm/dd - fec ultima modificacion");

		// Call Form Custom Validate event
		if (!this.Form_CustomValidate(fobj)) return false;
	}
	return true;
}

// extend page with Form_CustomValidate function
linea_producto_edit.Form_CustomValidate = 
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
linea_producto_edit.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
linea_producto_edit.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<link rel="stylesheet" type="text/css" media="all" href="calendar/calendar-win2k-1.css" title="win2k-1">
<script type="text/javascript" src="calendar/calendar.js"></script>
<script type="text/javascript" src="calendar/lang/calendar-en.js"></script>
<script type="text/javascript" src="calendar/calendar-setup.js"></script>
<script type="text/javascript">
<!--
var ew_DHTMLEditors = [];

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<p><span class="phpmaker"><img src='images/edit.gif' width='16' height='16' border='0' alt='Editar'> TABLA: lineas<br><br>
<a href="<?php echo $linea_producto->getReturnUrl() ?>">Regresar</a></span></p>
<?php $linea_producto_edit->ShowMessage() ?>
<form name="flinea_productoedit" id="flinea_productoedit" action="<?php echo ew_CurrentPage() ?>" method="post" onsubmit="return linea_producto_edit.ValidateForm(this);">
<p>
<input type="hidden" name="a_table" id="a_table" value="linea_producto">
<input type="hidden" name="a_edit" id="a_edit" value="U">
<table cellspacing="0" class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable">
<?php if ($linea_producto->cod_linea_producto->Visible) { // cod_linea_producto ?>
	<tr<?php echo $linea_producto->cod_linea_producto->RowAttributes ?>>
		<td class="ewTableHeader">cod linea<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->cod_linea_producto->CellAttributes() ?>><span id="el_cod_linea_producto">
<div<?php echo $linea_producto->cod_linea_producto->ViewAttributes() ?>><?php echo $linea_producto->cod_linea_producto->EditValue ?></div><input type="hidden" name="x_cod_linea_producto" id="x_cod_linea_producto" value="<?php echo ew_HtmlEncode($linea_producto->cod_linea_producto->CurrentValue) ?>">
</span><?php echo $linea_producto->cod_linea_producto->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_categoria->Visible) { // cod_categoria ?>
	<tr<?php echo $linea_producto->cod_categoria->RowAttributes ?>>
		<td class="ewTableHeader">categoria<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->cod_categoria->CellAttributes() ?>><span id="el_cod_categoria">
<div<?php echo $linea_producto->cod_categoria->ViewAttributes() ?>><?php echo $linea_producto->cod_categoria->EditValue ?></div><input type="hidden" name="x_cod_categoria" id="x_cod_categoria" value="<?php echo ew_HtmlEncode($linea_producto->cod_categoria->CurrentValue) ?>">
</span><?php echo $linea_producto->cod_categoria->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->des_linea_producto->Visible) { // des_linea_producto ?>
	<tr<?php echo $linea_producto->des_linea_producto->RowAttributes ?>>
		<td class="ewTableHeader">descripción<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->des_linea_producto->CellAttributes() ?>><span id="el_des_linea_producto">
<input type="text" name="x_des_linea_producto" id="x_des_linea_producto" size="30" maxlength="30" value="<?php echo $linea_producto->des_linea_producto->EditValue ?>"<?php echo $linea_producto->des_linea_producto->EditAttributes() ?>>
</span><?php echo $linea_producto->des_linea_producto->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->des_abreviada->Visible) { // des_abreviada ?>
	<tr<?php echo $linea_producto->des_abreviada->RowAttributes ?>>
		<td class="ewTableHeader">des abreviada</td>
		<td<?php echo $linea_producto->des_abreviada->CellAttributes() ?>><span id="el_des_abreviada">
<input type="text" name="x_des_abreviada" id="x_des_abreviada" size="30" maxlength="30" value="<?php echo $linea_producto->des_abreviada->EditValue ?>"<?php echo $linea_producto->des_abreviada->EditAttributes() ?>>
</span><?php echo $linea_producto->des_abreviada->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->ind_activo->Visible) { // ind_activo ?>
	<tr<?php echo $linea_producto->ind_activo->RowAttributes ?>>
		<td class="ewTableHeader">activo<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->ind_activo->CellAttributes() ?>><span id="el_ind_activo">
<input type="text" name="x_ind_activo" id="x_ind_activo" size="30" maxlength="1" value="<?php echo $linea_producto->ind_activo->EditValue ?>"<?php echo $linea_producto->ind_activo->EditAttributes() ?>>
</span><?php echo $linea_producto->ind_activo->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->ind_cat->Visible) { // ind_cat ?>
	<tr<?php echo $linea_producto->ind_cat->RowAttributes ?>>
		<td class="ewTableHeader">cat</td>
		<td<?php echo $linea_producto->ind_cat->CellAttributes() ?>><span id="el_ind_cat">
<input type="text" name="x_ind_cat" id="x_ind_cat" size="30" value="<?php echo $linea_producto->ind_cat->EditValue ?>"<?php echo $linea_producto->ind_cat->EditAttributes() ?>>
</span><?php echo $linea_producto->ind_cat->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->orden->Visible) { // orden ?>
	<tr<?php echo $linea_producto->orden->RowAttributes ?>>
		<td class="ewTableHeader">orden</td>
		<td<?php echo $linea_producto->orden->CellAttributes() ?>><span id="el_orden">
<input type="text" name="x_orden" id="x_orden" size="30" value="<?php echo $linea_producto->orden->EditValue ?>"<?php echo $linea_producto->orden->EditAttributes() ?>>
</span><?php echo $linea_producto->orden->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_usuario_registro->Visible) { // cod_usuario_registro ?>
	<tr<?php echo $linea_producto->cod_usuario_registro->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario registro<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->cod_usuario_registro->CellAttributes() ?>><span id="el_cod_usuario_registro">
<input type="text" name="x_cod_usuario_registro" id="x_cod_usuario_registro" size="30" value="<?php echo $linea_producto->cod_usuario_registro->EditValue ?>"<?php echo $linea_producto->cod_usuario_registro->EditAttributes() ?>>
</span><?php echo $linea_producto->cod_usuario_registro->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->fec_registro->Visible) { // fec_registro ?>
	<tr<?php echo $linea_producto->fec_registro->RowAttributes ?>>
		<td class="ewTableHeader">fec registro<span class="ewRequired">&nbsp;*</span></td>
		<td<?php echo $linea_producto->fec_registro->CellAttributes() ?>><span id="el_fec_registro">
<input type="text" name="x_fec_registro" id="x_fec_registro" value="<?php echo $linea_producto->fec_registro->EditValue ?>"<?php echo $linea_producto->fec_registro->EditAttributes() ?>>
&nbsp;<img src="images/calendar.png" id="cal_x_fec_registro" name="cal_x_fec_registro" alt="Escoja una fecha" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "x_fec_registro", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "cal_x_fec_registro" // ID of the button
});
</script>
</span><?php echo $linea_producto->fec_registro->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->cod_usuario_modificacion->Visible) { // cod_usuario_modificacion ?>
	<tr<?php echo $linea_producto->cod_usuario_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">cod usuario modificacion</td>
		<td<?php echo $linea_producto->cod_usuario_modificacion->CellAttributes() ?>><span id="el_cod_usuario_modificacion">
<input type="text" name="x_cod_usuario_modificacion" id="x_cod_usuario_modificacion" size="30" value="<?php echo $linea_producto->cod_usuario_modificacion->EditValue ?>"<?php echo $linea_producto->cod_usuario_modificacion->EditAttributes() ?>>
</span><?php echo $linea_producto->cod_usuario_modificacion->CustomMsg ?></td>
	</tr>
<?php } ?>
<?php if ($linea_producto->fec_ultima_modificacion->Visible) { // fec_ultima_modificacion ?>
	<tr<?php echo $linea_producto->fec_ultima_modificacion->RowAttributes ?>>
		<td class="ewTableHeader">fec ultima modificacion</td>
		<td<?php echo $linea_producto->fec_ultima_modificacion->CellAttributes() ?>><span id="el_fec_ultima_modificacion">
<input type="text" name="x_fec_ultima_modificacion" id="x_fec_ultima_modificacion" value="<?php echo $linea_producto->fec_ultima_modificacion->EditValue ?>"<?php echo $linea_producto->fec_ultima_modificacion->EditAttributes() ?>>
&nbsp;<img src="images/calendar.png" id="cal_x_fec_ultima_modificacion" name="cal_x_fec_ultima_modificacion" alt="Escoja una fecha" style="cursor:pointer;cursor:hand;">
<script type="text/javascript">
Calendar.setup({
	inputField : "x_fec_ultima_modificacion", // ID of the input field
	ifFormat : "%Y/%m/%d", // the date format
	button : "cal_x_fec_ultima_modificacion" // ID of the button
});
</script>
</span><?php echo $linea_producto->fec_ultima_modificacion->CustomMsg ?></td>
	</tr>
<?php } ?>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="btnAction" id="btnAction" value="  Editar  ">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php

//
// Page Class
//
class clinea_producto_edit {

	// Page ID
	var $PageID = 'edit';

	// Table Name
	var $TableName = 'linea_producto';

	// Page Object Name
	var $PageObjName = 'linea_producto_edit';

	// Page Name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page Url
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $linea_producto;
		if ($linea_producto->UseTokenInUrl) $PageUrl .= "t=" . $linea_producto->TableVar . "&"; // add page token
		return $PageUrl;
	}

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show Message
	function ShowMessage() {
		if ($this->getMessage() <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $this->getMessage() . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate Page request
	function IsPageRequest() {
		global $objForm, $linea_producto;
		if ($linea_producto->UseTokenInUrl) {

			//IsPageRequest = False
			if ($objForm)
				return ($linea_producto->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($linea_producto->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	//  Class initialize
	//  - init objects
	//  - open connection
	//
	function clinea_producto_edit() {
		global $conn;

		// Initialize table object
		$GLOBALS["linea_producto"] = new clinea_producto();

		// Initialize other table object
		$GLOBALS['categoria'] = new ccategoria();

		// Initialize other table object
		$GLOBALS['usuario'] = new cusuario();

		// Intialize page id (for backward compatibility)
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'edit', TRUE);

		// Initialize table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'linea_producto', TRUE);

		// Open connection to the database
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $linea_producto;
		global $Security;
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global page loading event (in userfn6.php)
		Page_Loading();

		// Page load event, used in current page
		$this->Page_Load();
	}

	//
	//  Page_Terminate
	//  - called when exit page
	//  - if URL specified, redirect to the URL
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page unload event, used in current page
		$this->Page_Unload();

		// Global page unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close Connection
		$conn->Close();

		// Go to URL if specified
		if ($url <> "") {
			ob_end_clean();
			header("Location: $url");
		}
		exit();
	}

	// 
	// Page main processing
	//
	function Page_Main() {
		global $objForm, $gsFormError, $linea_producto;

		// Load key from QueryString
		if (@$_GET["cod_linea_producto"] <> "")
			$linea_producto->cod_linea_producto->setQueryStringValue($_GET["cod_linea_producto"]);
		if (@$_GET["cod_categoria"] <> "")
			$linea_producto->cod_categoria->setQueryStringValue($_GET["cod_categoria"]);

		// Create form object
		$objForm = new cFormObj();
		if (@$_POST["a_edit"] <> "") {
			$linea_producto->CurrentAction = $_POST["a_edit"]; // Get action code
			$this->LoadFormValues(); // Get form values

			// Validate Form
			if (!$this->ValidateForm()) {
				$linea_producto->CurrentAction = ""; // Form error, reset action
				$this->setMessage($gsFormError);
			}
		} else {
			$linea_producto->CurrentAction = "I"; // Default action is display
		}

		// Check if valid key
		if ($linea_producto->cod_linea_producto->CurrentValue == "")
			$this->Page_Terminate("linea_productolist.php"); // Invalid key, return to list
		if ($linea_producto->cod_categoria->CurrentValue == "")
			$this->Page_Terminate("linea_productolist.php"); // Invalid key, return to list
		switch ($linea_producto->CurrentAction) {
			case "I": // Get a record to display
				if (!$this->LoadRow()) { // Load record based on key
					$this->setMessage("No se encontraron registros"); // No record found
					$this->Page_Terminate("linea_productolist.php"); // No matching record, return to list
				}
				break;
			Case "U": // Update
				$linea_producto->SendEmail = TRUE; // Send email on update success
				if ($this->EditRow()) { // Update record based on key
					$this->setMessage("Actualizar exitoso"); // Update success
					$sReturnUrl = $linea_producto->getReturnUrl();
					$this->Page_Terminate($sReturnUrl); // Return to caller
				} else {
					$this->RestoreFormValues(); // Restore form values if update failed
				}
		}

		// Render the record
		$linea_producto->RowType = EW_ROWTYPE_EDIT; // Render as edit
		$this->RenderRow();
	}

	// Get upload files
	function GetUploadFiles() {
		global $objForm, $linea_producto;

		// Get upload data
	}

	// Load form values
	function LoadFormValues() {

		// Load from form
		global $objForm, $linea_producto;
		$linea_producto->cod_linea_producto->setFormValue($objForm->GetValue("x_cod_linea_producto"));
		$linea_producto->cod_categoria->setFormValue($objForm->GetValue("x_cod_categoria"));
		$linea_producto->des_linea_producto->setFormValue($objForm->GetValue("x_des_linea_producto"));
		$linea_producto->des_abreviada->setFormValue($objForm->GetValue("x_des_abreviada"));
		$linea_producto->ind_activo->setFormValue($objForm->GetValue("x_ind_activo"));
		$linea_producto->ind_cat->setFormValue($objForm->GetValue("x_ind_cat"));
		$linea_producto->orden->setFormValue($objForm->GetValue("x_orden"));
		$linea_producto->cod_usuario_registro->setFormValue($objForm->GetValue("x_cod_usuario_registro"));
		$linea_producto->fec_registro->setFormValue($objForm->GetValue("x_fec_registro"));
		$linea_producto->fec_registro->CurrentValue = ew_UnFormatDateTime($linea_producto->fec_registro->CurrentValue, 5);
		$linea_producto->cod_usuario_modificacion->setFormValue($objForm->GetValue("x_cod_usuario_modificacion"));
		$linea_producto->fec_ultima_modificacion->setFormValue($objForm->GetValue("x_fec_ultima_modificacion"));
		$linea_producto->fec_ultima_modificacion->CurrentValue = ew_UnFormatDateTime($linea_producto->fec_ultima_modificacion->CurrentValue, 5);
	}

	// Restore form values
	function RestoreFormValues() {
		global $linea_producto;
		$this->LoadRow();
		$linea_producto->cod_linea_producto->CurrentValue = $linea_producto->cod_linea_producto->FormValue;
		$linea_producto->cod_categoria->CurrentValue = $linea_producto->cod_categoria->FormValue;
		$linea_producto->des_linea_producto->CurrentValue = $linea_producto->des_linea_producto->FormValue;
		$linea_producto->des_abreviada->CurrentValue = $linea_producto->des_abreviada->FormValue;
		$linea_producto->ind_activo->CurrentValue = $linea_producto->ind_activo->FormValue;
		$linea_producto->ind_cat->CurrentValue = $linea_producto->ind_cat->FormValue;
		$linea_producto->orden->CurrentValue = $linea_producto->orden->FormValue;
		$linea_producto->cod_usuario_registro->CurrentValue = $linea_producto->cod_usuario_registro->FormValue;
		$linea_producto->fec_registro->CurrentValue = $linea_producto->fec_registro->FormValue;
		$linea_producto->fec_registro->CurrentValue = ew_UnFormatDateTime($linea_producto->fec_registro->CurrentValue, 5);
		$linea_producto->cod_usuario_modificacion->CurrentValue = $linea_producto->cod_usuario_modificacion->FormValue;
		$linea_producto->fec_ultima_modificacion->CurrentValue = $linea_producto->fec_ultima_modificacion->FormValue;
		$linea_producto->fec_ultima_modificacion->CurrentValue = ew_UnFormatDateTime($linea_producto->fec_ultima_modificacion->CurrentValue, 5);
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $linea_producto;
		$sFilter = $linea_producto->KeyFilter();

		// Call Row Selecting event
		$linea_producto->Row_Selecting($sFilter);

		// Load sql based on filter
		$linea_producto->CurrentFilter = $sFilter;
		$sSql = $linea_producto->SQL();
		if ($rs = $conn->Execute($sSql)) {
			if ($rs->EOF) {
				$LoadRow = FALSE;
			} else {
				$LoadRow = TRUE;
				$rs->MoveFirst();
				$this->LoadRowValues($rs); // Load row values

				// Call Row Selected event
				$linea_producto->Row_Selected($rs);
			}
			$rs->Close();
		} else {
			$LoadRow = FALSE;
		}
		return $LoadRow;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $linea_producto;
		$linea_producto->cod_linea_producto->setDbValue($rs->fields('cod_linea_producto'));
		$linea_producto->cod_categoria->setDbValue($rs->fields('cod_categoria'));
		$linea_producto->des_linea_producto->setDbValue($rs->fields('des_linea_producto'));
		$linea_producto->des_abreviada->setDbValue($rs->fields('des_abreviada'));
		$linea_producto->ind_activo->setDbValue($rs->fields('ind_activo'));
		$linea_producto->ind_cat->setDbValue($rs->fields('ind_cat'));
		$linea_producto->orden->setDbValue($rs->fields('orden'));
		$linea_producto->cod_usuario_registro->setDbValue($rs->fields('cod_usuario_registro'));
		$linea_producto->fec_registro->setDbValue($rs->fields('fec_registro'));
		$linea_producto->cod_usuario_modificacion->setDbValue($rs->fields('cod_usuario_modificacion'));
		$linea_producto->fec_ultima_modificacion->setDbValue($rs->fields('fec_ultima_modificacion'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $linea_producto;

		// Call Row_Rendering event
		$linea_producto->Row_Rendering();

		// Common render codes for all row types
		// cod_linea_producto

		$linea_producto->cod_linea_producto->CellCssStyle = "";
		$linea_producto->cod_linea_producto->CellCssClass = "";

		// cod_categoria
		$linea_producto->cod_categoria->CellCssStyle = "";
		$linea_producto->cod_categoria->CellCssClass = "";

		// des_linea_producto
		$linea_producto->des_linea_producto->CellCssStyle = "";
		$linea_producto->des_linea_producto->CellCssClass = "";

		// des_abreviada
		$linea_producto->des_abreviada->CellCssStyle = "";
		$linea_producto->des_abreviada->CellCssClass = "";

		// ind_activo
		$linea_producto->ind_activo->CellCssStyle = "";
		$linea_producto->ind_activo->CellCssClass = "";

		// ind_cat
		$linea_producto->ind_cat->CellCssStyle = "";
		$linea_producto->ind_cat->CellCssClass = "";

		// orden
		$linea_producto->orden->CellCssStyle = "";
		$linea_producto->orden->CellCssClass = "";

		// cod_usuario_registro
		$linea_producto->cod_usuario_registro->CellCssStyle = "";
		$linea_producto->cod_usuario_registro->CellCssClass = "";

		// fec_registro
		$linea_producto->fec_registro->CellCssStyle = "";
		$linea_producto->fec_registro->CellCssClass = "";

		// cod_usuario_modificacion
		$linea_producto->cod_usuario_modificacion->CellCssStyle = "";
		$linea_producto->cod_usuario_modificacion->CellCssClass = "";

		// fec_ultima_modificacion
		$linea_producto->fec_ultima_modificacion->CellCssStyle = "";
		$linea_producto->fec_ultima_modificacion->CellCssClass = "";
		if ($linea_producto->RowType == EW_ROWTYPE_VIEW) { // View row

			// cod_linea_producto
			$linea_producto->cod_linea_producto->ViewValue = $linea_producto->cod_linea_producto->CurrentValue;
			$linea_producto->cod_linea_producto->CssStyle = "";
			$linea_producto->cod_linea_producto->CssClass = "";
			$linea_producto->cod_linea_producto->ViewCustomAttributes = "";

			// cod_categoria
			$linea_producto->cod_categoria->ViewValue = $linea_producto->cod_categoria->CurrentValue;
			$linea_producto->cod_categoria->CssStyle = "";
			$linea_producto->cod_categoria->CssClass = "";
			$linea_producto->cod_categoria->ViewCustomAttributes = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->ViewValue = $linea_producto->des_linea_producto->CurrentValue;
			$linea_producto->des_linea_producto->CssStyle = "";
			$linea_producto->des_linea_producto->CssClass = "";
			$linea_producto->des_linea_producto->ViewCustomAttributes = "";

			// des_abreviada
			$linea_producto->des_abreviada->ViewValue = $linea_producto->des_abreviada->CurrentValue;
			$linea_producto->des_abreviada->CssStyle = "";
			$linea_producto->des_abreviada->CssClass = "";
			$linea_producto->des_abreviada->ViewCustomAttributes = "";

			// ind_activo
			$linea_producto->ind_activo->ViewValue = $linea_producto->ind_activo->CurrentValue;
			$linea_producto->ind_activo->CssStyle = "";
			$linea_producto->ind_activo->CssClass = "";
			$linea_producto->ind_activo->ViewCustomAttributes = "";

			// ind_cat
			$linea_producto->ind_cat->ViewValue = $linea_producto->ind_cat->CurrentValue;
			$linea_producto->ind_cat->CssStyle = "";
			$linea_producto->ind_cat->CssClass = "";
			$linea_producto->ind_cat->ViewCustomAttributes = "";

			// orden
			$linea_producto->orden->ViewValue = $linea_producto->orden->CurrentValue;
			$linea_producto->orden->CssStyle = "";
			$linea_producto->orden->CssClass = "";
			$linea_producto->orden->ViewCustomAttributes = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->ViewValue = $linea_producto->cod_usuario_registro->CurrentValue;
			$linea_producto->cod_usuario_registro->CssStyle = "";
			$linea_producto->cod_usuario_registro->CssClass = "";
			$linea_producto->cod_usuario_registro->ViewCustomAttributes = "";

			// fec_registro
			$linea_producto->fec_registro->ViewValue = $linea_producto->fec_registro->CurrentValue;
			$linea_producto->fec_registro->ViewValue = ew_FormatDateTime($linea_producto->fec_registro->ViewValue, 5);
			$linea_producto->fec_registro->CssStyle = "";
			$linea_producto->fec_registro->CssClass = "";
			$linea_producto->fec_registro->ViewCustomAttributes = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->ViewValue = $linea_producto->cod_usuario_modificacion->CurrentValue;
			$linea_producto->cod_usuario_modificacion->CssStyle = "";
			$linea_producto->cod_usuario_modificacion->CssClass = "";
			$linea_producto->cod_usuario_modificacion->ViewCustomAttributes = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->ViewValue = $linea_producto->fec_ultima_modificacion->CurrentValue;
			$linea_producto->fec_ultima_modificacion->ViewValue = ew_FormatDateTime($linea_producto->fec_ultima_modificacion->ViewValue, 5);
			$linea_producto->fec_ultima_modificacion->CssStyle = "";
			$linea_producto->fec_ultima_modificacion->CssClass = "";
			$linea_producto->fec_ultima_modificacion->ViewCustomAttributes = "";

			// cod_linea_producto
			$linea_producto->cod_linea_producto->HrefValue = "";

			// cod_categoria
			$linea_producto->cod_categoria->HrefValue = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->HrefValue = "";

			// des_abreviada
			$linea_producto->des_abreviada->HrefValue = "";

			// ind_activo
			$linea_producto->ind_activo->HrefValue = "";

			// ind_cat
			$linea_producto->ind_cat->HrefValue = "";

			// orden
			$linea_producto->orden->HrefValue = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$linea_producto->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->HrefValue = "";
		} elseif ($linea_producto->RowType == EW_ROWTYPE_EDIT) { // Edit row

			// cod_linea_producto
			$linea_producto->cod_linea_producto->EditCustomAttributes = "";
			$linea_producto->cod_linea_producto->EditValue = $linea_producto->cod_linea_producto->CurrentValue;
			$linea_producto->cod_linea_producto->CssStyle = "";
			$linea_producto->cod_linea_producto->CssClass = "";
			$linea_producto->cod_linea_producto->ViewCustomAttributes = "";

			// cod_categoria
			$linea_producto->cod_categoria->EditCustomAttributes = "";
			$linea_producto->cod_categoria->EditValue = $linea_producto->cod_categoria->CurrentValue;
			$linea_producto->cod_categoria->CssStyle = "";
			$linea_producto->cod_categoria->CssClass = "";
			$linea_producto->cod_categoria->ViewCustomAttributes = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->EditCustomAttributes = "";
			$linea_producto->des_linea_producto->EditValue = ew_HtmlEncode($linea_producto->des_linea_producto->CurrentValue);

			// des_abreviada
			$linea_producto->des_abreviada->EditCustomAttributes = "";
			$linea_producto->des_abreviada->EditValue = ew_HtmlEncode($linea_producto->des_abreviada->CurrentValue);

			// ind_activo
			$linea_producto->ind_activo->EditCustomAttributes = "";
			$linea_producto->ind_activo->EditValue = ew_HtmlEncode($linea_producto->ind_activo->CurrentValue);

			// ind_cat
			$linea_producto->ind_cat->EditCustomAttributes = "";
			$linea_producto->ind_cat->EditValue = ew_HtmlEncode($linea_producto->ind_cat->CurrentValue);

			// orden
			$linea_producto->orden->EditCustomAttributes = "";
			$linea_producto->orden->EditValue = ew_HtmlEncode($linea_producto->orden->CurrentValue);

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->EditCustomAttributes = "";
			$linea_producto->cod_usuario_registro->EditValue = ew_HtmlEncode($linea_producto->cod_usuario_registro->CurrentValue);

			// fec_registro
			$linea_producto->fec_registro->EditCustomAttributes = "";
			$linea_producto->fec_registro->EditValue = ew_HtmlEncode(ew_FormatDateTime($linea_producto->fec_registro->CurrentValue, 5));

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->EditCustomAttributes = "";
			$linea_producto->cod_usuario_modificacion->EditValue = ew_HtmlEncode($linea_producto->cod_usuario_modificacion->CurrentValue);

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->EditCustomAttributes = "";
			$linea_producto->fec_ultima_modificacion->EditValue = ew_HtmlEncode(ew_FormatDateTime($linea_producto->fec_ultima_modificacion->CurrentValue, 5));

			// Edit refer script
			// cod_linea_producto

			$linea_producto->cod_linea_producto->HrefValue = "";

			// cod_categoria
			$linea_producto->cod_categoria->HrefValue = "";

			// des_linea_producto
			$linea_producto->des_linea_producto->HrefValue = "";

			// des_abreviada
			$linea_producto->des_abreviada->HrefValue = "";

			// ind_activo
			$linea_producto->ind_activo->HrefValue = "";

			// ind_cat
			$linea_producto->ind_cat->HrefValue = "";

			// orden
			$linea_producto->orden->HrefValue = "";

			// cod_usuario_registro
			$linea_producto->cod_usuario_registro->HrefValue = "";

			// fec_registro
			$linea_producto->fec_registro->HrefValue = "";

			// cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->HrefValue = "";

			// fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->HrefValue = "";
		}

		// Call Row Rendered event
		$linea_producto->Row_Rendered();
	}

	// Validate form
	function ValidateForm() {
		global $gsFormError, $linea_producto;

		// Initialize
		$gsFormError = "";

		// Check if validation required
		if (!EW_SERVER_VALIDATE)
			return ($gsFormError == "");
		if ($linea_producto->cod_linea_producto->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - cod linea";
		}
		if ($linea_producto->cod_categoria->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - categoria";
		}
		if ($linea_producto->des_linea_producto->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - descripción";
		}
		if ($linea_producto->ind_activo->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - activo";
		}
		if (!ew_CheckInteger($linea_producto->ind_cat->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cat";
		}
		if (!ew_CheckInteger($linea_producto->orden->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - orden";
		}
		if ($linea_producto->cod_usuario_registro->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - cod usuario registro";
		}
		if (!ew_CheckInteger($linea_producto->cod_usuario_registro->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod usuario registro";
		}
		if ($linea_producto->fec_registro->FormValue == "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= "Ingresar campo obligatorio - fec registro";
		}
		if (!ew_CheckDate($linea_producto->fec_registro->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fec registro";
		}
		if (!ew_CheckInteger($linea_producto->cod_usuario_modificacion->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect integer - cod usuario modificacion";
		}
		if (!ew_CheckDate($linea_producto->fec_ultima_modificacion->FormValue)) {
			if ($gsFormError <> "") $gsFormError .= "<br>";
			$gsFormError .= "Incorrect date, format = yyyy/mm/dd - fec ultima modificacion";
		}

		// Return validate result
		$ValidateForm = ($gsFormError == "");

		// Call Form_CustomValidate event
		$sFormCustomError = "";
		$ValidateForm = $ValidateForm && $this->Form_CustomValidate($sFormCustomError);
		if ($sFormCustomError <> "") {
			$gsFormError .= ($gsFormError <> "") ? "<br>" : "";
			$gsFormError .= $sFormCustomError;
		}
		return $ValidateForm;
	}

	// Update record based on key values
	function EditRow() {
		global $conn, $Security, $linea_producto;
		$sFilter = $linea_producto->KeyFilter();
		$linea_producto->CurrentFilter = $sFilter;
		$sSql = $linea_producto->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE)
			return FALSE;
		if ($rs->EOF) {
			$EditRow = FALSE; // Update Failed
		} else {

			// Save old values
			$rsold =& $rs->fields;
			$rsnew = array();

			// Field cod_linea_producto
			// Field cod_categoria
			// Field des_linea_producto

			$linea_producto->des_linea_producto->SetDbValueDef($linea_producto->des_linea_producto->CurrentValue, "");
			$rsnew['des_linea_producto'] =& $linea_producto->des_linea_producto->DbValue;

			// Field des_abreviada
			$linea_producto->des_abreviada->SetDbValueDef($linea_producto->des_abreviada->CurrentValue, NULL);
			$rsnew['des_abreviada'] =& $linea_producto->des_abreviada->DbValue;

			// Field ind_activo
			$linea_producto->ind_activo->SetDbValueDef($linea_producto->ind_activo->CurrentValue, "");
			$rsnew['ind_activo'] =& $linea_producto->ind_activo->DbValue;

			// Field ind_cat
			$linea_producto->ind_cat->SetDbValueDef($linea_producto->ind_cat->CurrentValue, NULL);
			$rsnew['ind_cat'] =& $linea_producto->ind_cat->DbValue;

			// Field orden
			$linea_producto->orden->SetDbValueDef($linea_producto->orden->CurrentValue, NULL);
			$rsnew['orden'] =& $linea_producto->orden->DbValue;

			// Field cod_usuario_registro
			$linea_producto->cod_usuario_registro->SetDbValueDef($linea_producto->cod_usuario_registro->CurrentValue, 0);
			$rsnew['cod_usuario_registro'] =& $linea_producto->cod_usuario_registro->DbValue;

			// Field fec_registro
			$linea_producto->fec_registro->SetDbValueDef(ew_UnFormatDateTime($linea_producto->fec_registro->CurrentValue, 5), ew_CurrentDate());
			$rsnew['fec_registro'] =& $linea_producto->fec_registro->DbValue;

			// Field cod_usuario_modificacion
			$linea_producto->cod_usuario_modificacion->SetDbValueDef($linea_producto->cod_usuario_modificacion->CurrentValue, NULL);
			$rsnew['cod_usuario_modificacion'] =& $linea_producto->cod_usuario_modificacion->DbValue;

			// Field fec_ultima_modificacion
			$linea_producto->fec_ultima_modificacion->SetDbValueDef(ew_UnFormatDateTime($linea_producto->fec_ultima_modificacion->CurrentValue, 5), NULL);
			$rsnew['fec_ultima_modificacion'] =& $linea_producto->fec_ultima_modificacion->DbValue;

			// Call Row Updating event
			$bUpdateRow = $linea_producto->Row_Updating($rsold, $rsnew);
			if ($bUpdateRow) {
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$EditRow = $conn->Execute($linea_producto->UpdateSQL($rsnew));
				$conn->raiseErrorFn = '';
			} else {
				if ($linea_producto->CancelMessage <> "") {
					$this->setMessage($linea_producto->CancelMessage);
					$linea_producto->CancelMessage = "";
				} else {
					$this->setMessage("Actualizar cancelado");
				}
				$EditRow = FALSE;
			}
		}

		// Call Row_Updated event
		if ($EditRow)
			$linea_producto->Row_Updated($rsold, $rsnew);
		$rs->Close();
		return $EditRow;
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Form Custom Validate event
	function Form_CustomValidate(&$CustomError) {

		// Return error message in CustomError
		return TRUE;
	}
}
?>
